<?php

    $us = mysql_fetch_array(mysql_query("SELECT *,(select `id` from `online` WHERE login_time >= ".(time()-60)." AND `id` = users.`id`) as `online`  FROM `users` WHERE `login` = '".mysql_escape_string($_POST['target'])."' LIMIT 1;"));
    $magic = mysql_fetch_array(mysql_query("SELECT `chanse` FROM `magic` WHERE `id` = '77' ;"));
    $effect = mysql_fetch_array(mysql_query("SELECT `time` FROM `effects` WHERE `owner` = '{$us['id']}' and `type` = '204' LIMIT 1;")); 

    if ($user['intel'] >= 0) {
        $int=$magic['chanse'] + ($user['intel'] - 0)*3;
        if ($int>98){$int=99;}
    }
    else {$int=0;}
    if ($user['battle'] > 0) {echo "РќРµ РІ Р±РѕСЋ...";}
    elseif ($user['level'] < 0) { echo "Р’Р°С€РµРіРѕ СѓСЂРѕРІРЅСЏ РЅРµ РґРѕСЃС‚Р°С‚РѕС‡РЅРѕ РґР»СЏ РёСЃРїРѕР»СЊР·РѕРІР°РЅРёСЏ СЌС‚РѕРіРѕ Р·Р°РєР»РёРЅР°РЅРёСЏ!"; }
    elseif ($effect['time']) {echo "РќР° РїРµСЂСЃРѕРЅР°Р¶Рµ СѓР¶Рµ РµСЃС‚СЊ Р·Р°РєР»СЏС‚РёРµ Р­Р»РёРєСЃРёСЂ СѓСЂРѕРЅР° +3"; }
    elseif ($user->getRoom() != $us['room']) { echo "РџРµСЂСЃРѕРЅР°Р¶ РІ РґСЂСѓРіРѕР№ РєРѕРјРЅР°С‚Рµ!"; }
    elseif (!$us['online']) {echo "РџРµСЂСЃРѕРЅР°Р¶ РЅРµ РІ РёРіСЂРµ!";}
    elseif (rand(0,100) < $int) {    

        addch("<img src=i/magic/elikurona.gif>РџРµСЂСЃРѕРЅР°Р¶ &quot;<b>{$user['login']}</b>&quot; РЅР°Р»РѕР¶РёР» Р·Р°РєР»СЏС‚РёРµ \"<b>Р­Р»РёРєСЃРёСЂ СѓСЂРѕРЅР° +3</b>\" РЅР° &quot;<b>{$_POST['target']}</b>&quot;, СЃСЂРѕРєРѕРј 6 С‡Р°СЃРѕРІ.");

        $user = mysql_fetch_array(mysql_query("SELECT `id` FROM `users` WHERE `login` = '{$_POST['target']}' LIMIT 1;")); 
        mysql_query("INSERT INTO `effects` (`owner`,`name`,`time`,`type`) values ('".$user['id']."','Р­Р»РёРєСЃРёСЂ СѓСЂРѕРЅР° +3',".(time()+21600).",204);");    
        echo "<font color=red><b>РќР° РїРµСЂСЃРѕРЅР°Р¶Р° \"{$_POST['target']}\" РЅР°Р»РѕР¶РµРЅРѕ Р·Р°РєР»СЏС‚РёРµ \"Р­Р»РёРєСЃРёСЂ СѓСЂРѕРЅР° +3\" </b></font>";      
        $bet=1;


    } else {
        echo "РЎРІРёС‚РѕРє СЂР°СЃСЃС‹РїР°Р»СЃСЏ РІ РІР°С€РёС… СЂСѓРєР°С…...";
        $bet=1;
    }  
